From: Christoph Hellwig <hch@lst.de>
Date: Sat, 1 Feb 2025 06:48:38 +0000 (+0800)
Subject: xfs/541: _notrun if the file system can't mount
X-Git-Url: https://www.infradead.org/git/?a=commitdiff_plain;h=329e47e375fbce76c6646bc3b700de30f08d9c86;p=users%2Fhch%2Fxfstests-dev.git

xfs/541: _notrun if the file system can't mount

A file system created without an RT section might not be able to mount
with an rtdev specified if the RT device has a larger LBA size.

Instead of letting the test fail, _notrun it for that case.

Signed-off-by: Christoph Hellwig <hch@lst.de>
Reviewed-by: "Darrick J. Wong" <djwong@kernel.org>
Signed-off-by: Zorro Lang <zlang@kernel.org>
---

diff --git a/tests/xfs/541 b/tests/xfs/541
index 9be15d1f6..b4856d496 100755
--- a/tests/xfs/541
+++ b/tests/xfs/541
@@ -28,7 +28,7 @@ _require_scratch
 
 # Format scratch fs with no realtime section.
 SCRATCH_RTDEV="" _scratch_mkfs | _filter_mkfs 2> $tmp.mkfs >> $seqres.full
-_scratch_mount
+_try_scratch_mount || _notrun "Can't mount file system"
 
 # Check that there's no realtime section.
 source $tmp.mkfs